export declare type BooleanOrFunc = boolean | (() => boolean);
declare class To {
    boolean(value: BooleanOrFunc): boolean;
    boolean(value: BooleanOrFunc, defaultValue: boolean): boolean;
    date(value: any): Date;
    date(value: any, defaultValue: Date): Date;
    number(value: any, defaultValue?: number): number;
    array<T>(value: T[]): T[];
    string(value: number, format: string): string;
}
export declare let to: To;
export {};
